Ubuntu 19.10安装低版本的Mysql5.7.29

作者: jekkay 分类: 软件 发布时间: 2020-03-27 23:30

Ubuntu 19.10安装低版本的Mysql5.7.29


一、 概述

Ubuntu19.10系统版本较高,默认如果直接apt-get install mysql-server安装,默认会安装比较高的mysql版本8.0,那么如果想要直接安装低版本的mysql5.7.29,那么就需要自己手动安装下。

二、下载文件

我们可以直接从官网下载对应的版本,可以直接下载全家桶文件mysql-server_5.7.29-1ubuntu18.04_i386.deb-bundle.tar

  • 官网下载页面:https://dev.mysql.com/downloads/mysql/
  • 科大下载页面:http://mirrors.ustc.edu.cn/mysql-ftp/Downloads/MySQL-5.7/

由于官网下载比较慢,建议选择国内清华的下载源,比如我选择了5.7.29,我的系统为 Ubuntu 19.10,由于这上面暂时尚未更新对应系统版本mysql,我就暂时选择Ubuntu 18.04,直接下载对应的全家桶bundle压缩文件,即:

# http://www.easysb.cn/2020/03/588.html


wget http://mirrors.ustc.edu.cn/mysql-ftp/Downloads/MySQL-5.7/mysql-server_5.7.29-1ubuntu18.04_amd64.deb-bundle.tar

三、快速安装

将下载的文件解压后,先安装三个lib包,然后再安装对应的客户端和服务端。在安装的过程中,可能会有提示缺少什么包,直接apt-get install 对应的包名即可。

# http://www.easysb.cn/2020/03/588.html


 # tar xvf ./mysql-server_5.7.29-1ubuntu18.04_amd64.deb-bundle.tar
  # sudo apt-get install ./libmysql*
  # sudo apt-get install libtinfo5
  # ll
  # sudo apt-get install ./mysql-community-client_5.7.29-1ubuntu18.04_amd64.deb 
  # sudo apt-get install ./mysql-community-server_5.7.29-1ubuntu18.04_amd64.deb 

四、后记

Mysql 8.0和Mysql 5.6差别比较大,在生产和开发环境中务必保持一致,避免上线踩坑!

如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!

发表评论

电子邮件地址不会被公开。